package be.godot.sc.apps.eid.be;

import be.godot.sc.engine.BelpicCard;
import be.godot.util.CryptoUtils;
import be.godot.util.FileUtils;
import be.godot.util.TextUtils;


public class ScReadCitizenPhoto {
	public static void main(String[] args) {
		if (args.length != 1) {
			System.out.println("Usage: ScReadCitizenPhoto <outputFileName>");
			System.exit(-1);
		}
		String outputFileName = args[0];
		try {
			BelpicCard scd = new BelpicCard("");
			byte[] data = scd.readCitizenPhotoBytes();

			FileUtils.writeFile(outputFileName, data);

			byte[] hash = CryptoUtils.computeSha1(data);

			System.out.println("SHA-1 hash computed on this picture: <"
					+ TextUtils.hexDump(hash) + ">");

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}